org.apache.pdfbox.util.filetypedetector

## Class FileTypeDetector

- java.lang.Object
- - org.apache.pdfbox.util.filetypedetector.FileTypeDetector

    public final class FileTypeDetector
    extends Object

Author:
  Drew Noakes code taken from metadata-extractor 2016-01-04 latest commit number 73f1a48 Examines the file's first bytes and estimates the file's type.

### Method Summary

All Methods Static Methods Concrete Methods
`static FileType` `detectFileType(BufferedInputStream inputStream)` Examines the file's first bytes and estimates the file's type.
`static FileType` `detectFileType(byte[] fileBytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### detectFileType

    public static FileType detectFileType(BufferedInputStream inputStream)
                                   throws IOException

Examines the file's first bytes and estimates the file's type.

Requires a `BufferedInputStream` in order to mark and reset the stream to the position at which it was provided to this method once completed.

Requires the stream to contain at least eight bytes.

Parameters:
  `inputStream` - a buffered input stream of the file to examine.
Returns:
  the file type.
Throws:
  `IOException` - if an IO error occurred or the input stream ended unexpectedly.

#### detectFileType

    public static FileType detectFileType(byte[] fileBytes)
                                   throws IOException

Throws:
  `IOException`